org.apache.ivy.plugins.repository.vfs

## Class VfsRepository

- java.lang.Object
- - org.apache.ivy.plugins.repository.AbstractRepository
  - - org.apache.ivy.plugins.repository.vfs.VfsRepository

All Implemented Interfaces:
  Repository

    public class VfsRepository
    extends AbstractRepository

Implementation of a VFS repository

### Constructor Summary

Constructors
Constructor and Description
`VfsRepository()` Create a new Ivy VFS Repository Instance

### Method Summary

Methods
`protected void` `finalize()`
`void` `get(java.lang.String srcVfsURI, java.io.File destination)` Transfer a VFS Resource from the repository to the local file system.
`Resource` `getResource(java.lang.String vfsURI)` Get a VfsResource
`java.util.List` `list(java.lang.String vfsURI)` Return a listing of the contents of a parent directory.
`void` `put(java.io.File source, java.lang.String vfsURI, boolean overwrite)` Transfer an Ivy resource to a VFS repository

### Methods inherited from class org.apache.ivy.plugins.repository.AbstractRepository

`addTransferListener, fireTransferCompleted, fireTransferCompleted, fireTransferError, fireTransferError, fireTransferEvent, fireTransferInitiated, fireTransferProgress, fireTransferStarted, fireTransferStarted, getFileSeparator, getName, hasTransferListener, put, removeTransferListener, setName, standardize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VfsRepository

    public VfsRepository()

Create a new Ivy VFS Repository Instance

### Method Detail

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `java.lang.Object`

#### getResource

    public Resource getResource(java.lang.String vfsURI)
                         throws java.io.IOException

Get a VfsResource

Parameters:
  `source` - a `String` identifying a VFS Resource
Returns:
  The resource associated with the resource identifier.
Throws:
  ``IOException`` - on failure
  `java.io.IOException` - On error while trying to get resource.
See Also:
  "Supported File Systems in the jakarta-commons-vfs documentation"

#### get

    public void get(java.lang.String srcVfsURI,
           java.io.File destination)
             throws java.io.IOException

Transfer a VFS Resource from the repository to the local file system.

Parameters:
  `srcVfsURI` - a `String` identifying the VFS resource to be fetched
  `destination` - a `File` identifying the destination file
Throws:
  ``IOException`` - on failure
  `java.io.IOException` - On retrieval failure.
See Also:
  "Supported File Systems in the jakarta-commons-vfs documentation"

#### list

    public java.util.List list(java.lang.String vfsURI)
                        throws java.io.IOException

Return a listing of the contents of a parent directory. Listing is a set of strings representing VFS URIs.

Parameters:
  `vfsURI` - providing identifying a VFS provided resource
Returns:
  A listing of the parent directory's file content, as a List of String.
Throws:
  `java.io.IOException` - on failure.
See Also:
  "Supported File Systems in the jakarta-commons-vfs documentation"

#### put

    public void put(java.io.File source,
           java.lang.String vfsURI,
           boolean overwrite)
             throws java.io.IOException

Transfer an Ivy resource to a VFS repository

Overrides:
  `put` in class `AbstractRepository`
Parameters:
  `source` - a `File` indentifying the local file to transfer to the repository
  `vfsURI` - a `String` identifying the destination VFS Resource.
  `overwrite` - whether to overwrite an existing resource.
Throws:
  ``IOException`` - on failure.
  `java.io.IOException`
See Also:
  "Supported File Systems in the jakarta-commons-vfs documentation"